> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingscollection.md).

# BindingsCollection

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Represents a collection of [Binding](/api/wisej.web/data-binding/wisej.web.binding.md) objects for a control.

{% tabs %}
{% tab title="C#" %}

```csharp
public class BindingsCollection : ICollection, IEnumerable
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class BindingsCollection
    Inherits ICollection
    Implements IEnumerable
```

{% endtab %}
{% endtabs %}

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Count

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns the total number of bindings in the collection.

### ![](/files/hsR4ok3152WyAf8J2C1u) Item(index)

[Binding](/api/wisej.web/data-binding/wisej.web.binding.md): Returns the [Binding](/api/wisej.web/data-binding/wisej.web.binding.md) at the specified index.

**Throws:**

* [IndexOutOfRangeException](https://docs.microsoft.com/dotnet/api/system.indexoutofrangeexception) The collection doesn't contain an item at the specified index.

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) ReadValues()

Reads the current values from the data source and sends them to the control.

### ![](/files/hsR4ok3152WyAf8J2C1u) WriteValues()

Takes the current values from the control and writes them to the data source.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) CollectionChanged

[CollectionChangeEventHandler](https://docs.microsoft.com/dotnet/api/system.componentmodel.collectionchangeeventhandler) Fired when the collection has changed.

### ![](/files/hsR4ok3152WyAf8J2C1u) CollectionChanging

[CollectionChangeEventHandler](https://docs.microsoft.com/dotnet/api/system.componentmodel.collectionchangeeventhandler) Fired when the collection is about to change.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/data-binding/wisej.web.bindingscollection.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
